Support » Plugins » Widgets fatal error. Need help.

  • I’ve upgraded to 2.2.2. Now, no matter what theme I choose, when I go to the Widgets tab, I get this message:

    Fatal error: Cannot redeclare register_sidebars() (previously declared in /home/truthcur/public_html/wp-includes/widgets.php:15) in /home/truthcur/public_html/wp-content/plugins/widgets.php on line 42

    The widgets that were already there before the upgrade, remain on the page but I can’t configure them in any way. When I go to plugins to activate things, it tells me I can’t activate because it triggered a fatal error.

    Any help would be appreciated. Thanks.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Do you have an old plugin “widgets”? Delete it – in this vwersion it is built-in. You can delete it via FTP (that would deactivate it).
    Just a question: did you deactivate ALL your plugins before the upgrade, as it is advised?

    I’m pretty uneducated about this so could use some handholding.

    I have a plugin called “sidebar widgets.” Is that it? I’m not sure how to delete it… I can either activate it or edit it but don’t know how to delete it. I tried to delete the widgets directory from the file system on my host but it seems to have left me with a blank widgets directory that I can’t delete.

    I did not deactivate the plugins before the upgrade. My host just had a link to upgrade automatically so that’s what I did without reading documentation.

    Thanks.

    1. Yes, that’s it the “sidebar widgets” plugin. You do NOT need it because it is built in in your upgraded version.
    2. You must have FTP access to your site; as I said above delete it via FTP. Or at least try to deactivate it.
    3. If you deleted the “widgets” directory from wp-content/plugins/ – that’s what I suggested. If it is really empty, the error should disapper.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Widgets fatal error. Need help.’ is closed to new replies.